Bug 171679 - 'ip tunnel add sit1 mode sit' fails -EINVAL.
Summary: 'ip tunnel add sit1 mode sit' fails -EINVAL.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iproute   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On: 171678
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-25 07:44 UTC by Ric Wheeler
Modified: 2008-07-24 19:31 UTC (History)
0 users

Fixed In Version: RHBA-2008-0668
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:31:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0668 normal SHIPPED_LIVE iproute bug fix update 2008-07-23 15:35:25 UTC

Description David Woodhouse 2005-10-25 07:44:51 UTC
On big-endian machines, glibc-kernheaders' ip.h has an incorrect definition of
struct iphdr, with the 'version' and 'ihl' fields swapped. (bug #171678).

This means that attempting to create a tunnel fails. Once glibc-kernheaders is
fixed, we need to rebuild iproute.

Comment 4 David Woodhouse 2007-04-10 22:14:09 UTC
glibc-kernheaders is now fixed.

Comment 5 RHEL Product and Program Management 2007-11-29 04:26:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 errata-xmlrpc 2008-07-24 19:31:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0668.html


Note You need to log in before you can comment on or make changes to this bug.